#include<iostream>
#include<vector>
#include<algorithm>
#include<map>
#include<queue>


using namespace std;
using ll = long long;

int main() {
	ll n, m, k;
	cin >> n >> m>>k;
	ll pirv, vtor;
	if (n % k == 0&&m%k==0) {
		cout << (n / k) * (m / k);
		return 0;
	}
	if (n % k == 0 && m % k!=0) {
		cout << (n / k) * ((m / k)+1);
		return 0;
	}
	if (n % k != 0 && m % k == 0) {
		cout << ((n / k)+1) * (m / k);
		return 0;
	}
	if (n % k != 0 && m % k != 0) {
		cout << ((n / k)+1) * ((m / k) + 1);
		return 0;
	}
}